# Update a Strategy Template

Update a strategy template by ID

Endpoint: POST /strategy_templates/{strategy_template_id}
Version: 3.0.1807
Security: Auth0

## Security:

  - `Auth0` (unknown)
    oauth2 scopes: offline_access, manage:services

## Path parameters:

  - `strategy_template_id` (integer, required)
    Numeric ID of the strategy_template object

## Request fields (application/json):

  - `organization_id` (integer)

  - `agency_id` (integer)

  - `advertiser_id` (integer)

  - `global` (boolean)

  - `name` (string, required)

  - `description` (string, required)

  - `template` (string, required)

## Request examples:

  - `GlobalTemplate` (unknown)

  - `OrganizationLevel` (unknown)

  - `AgencyLevel` (unknown)

  - `AdvertiserLevel` (unknown)

## Response 200:

  - `200` (unknown)
    Strategy updated response

## Response 200 fields (application/json):

  - `data` (object)

  - `data.organization_id` (integer)

  - `data.agency_id` (integer)

  - `data.advertiser_id` (integer)

  - `data.global` (boolean)

  - `data.name` (string)

  - `data.description` (string)

  - `data.template` (object)

  - `data.created_on` (string)

  - `data.updated_on` (string)

  - `meta` (object)

  - `meta.status` (string, required)
    Example: success

## Response 400:

  - `400` (unknown)
    Error response

## Response 400 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 401:

  - `401` (unknown)
    Error response

## Response 401 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 403:

  - `403` (unknown)
    Error response

## Response 403 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 404:

  - `404` (unknown)
    Error response

## Response 404 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

## Response 503:

  - `503` (unknown)
    Error response

## Response 503 fields (application/json):

  - `errors` (array, required)

  - `errors.code` (string)

  - `errors.sub_code` (string)
    Optional identifier that refines the generic `code` category (e.g. `html5-noscript-tag`). Present on HTML5 upload/preview validation errors; absent otherwise.

  - `errors.field` (string)
    Optional when it is a schema error

  - `errors.message` (string)

  - `meta` (object, required)

  - `meta.status` (string, required)

